<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', 'App\Http\Controllers\StartPageController@getTasks');

Route::get('/create', 'App\Http\Controllers\TaskController@create')->name('form.create');

Route::post('/error', 'App\Http\Controllers\TaskController@store')->name('form.store');

Route::get('/session', 'App\Http\Controllers\SessionController@show');

Route::get('auth/login', 'Auth\AuthController@getLogin');
Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
